SDL_HINT_VIDEO_FORCE_EGL(3)

NAME
SDL_HINT_VIDEO_FORCE_EGL - A variable controlling whether the OpenGL context should be created with EGL.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_FORCE_EGL "SDL_VIDEO_FORCE_EGL"

DESCRIPTION
The variable can be set to the following values:

• "0": Use platform-specific GL context creation API (GLX, WGL, CGL, etc). (default)

• "1": Use EGL

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.